# std::tr1::__detail::_Hash_code_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Default_ranged_hash, true > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Key, typename _Value, typename _ExtractKey, typename _Equal, typename _H1, typename _H2>
struct std::tr1::__detail::_Hash_code_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Default_ranged_hash, true >

Definition at line 838 of file hashtable_policy.h.

## Public Types

- typedef _H1 hasher

## Public Member Functions

- hasher hash_function () const

## Protected Types

- typedef std::size_t _Hash_code_type

## Protected Member Functions

- _Hash_code_base (const _ExtractKey &__ex, const _Equal &__eq, const _H1 &__h1, const _H2 &__h2, const _Default_ranged_hash &)
- std::size_t _M_bucket_index (const _Hash_node< _Value, true > *__p, std::size_t __n) const
- std::size_t _M_bucket_index (const _Key &, _Hash_code_type __c, std::size_t __n) const
- bool _M_compare (const _Key &__k, _Hash_code_type __c, _Hash_node< _Value, true > *__n) const
- void _M_copy_code (_Hash_node< _Value, true > *__to, const _Hash_node< _Value, true > *__from) const
- _Hash_code_type _M_hash_code (const _Key &__k) const
- void _M_store_code (_Hash_node< _Value, true > *__n, _Hash_code_type __c) const
- void _M_swap (_Hash_code_base &__x)

## Protected Attributes

- _Equal _M_eq
- _ExtractKey _M_extract
- _H1 _M_h1
- _H2 _M_h2

The documentation for this struct was generated from the following file:

- hashtable_policy.h